+ date
Mon Jul  8 23:39:13 UTC 2024
+ id
uid=0(root) gid=0(root) groups=0(root)
+ pwd
/build/cpio
+ apt-get source --only-source cpio=2.15+dfsg-1
Reading package lists...
NOTICE: 'cpio' packaging is maintained in the 'Git' version control system at:
https://salsa.debian.org/lamby/pkg-cpio.git
Please use:
git clone https://salsa.debian.org/lamby/pkg-cpio.git
to retrieve the latest (possibly unreleased) updates to the package.
Need to get 1650 kB of source archives.
Get:1 http://deb.debian.org/debian trixie/main cpio 2.15+dfsg-1 (dsc) [1906 B]
Get:2 http://deb.debian.org/debian trixie/main cpio 2.15+dfsg-1 (tar) [1633 kB]
Get:3 http://deb.debian.org/debian trixie/main cpio 2.15+dfsg-1 (diff) [15.2 kB]
dpkg-source: info: extracting cpio in cpio-2.15+dfsg
dpkg-source: info: unpacking cpio_2.15+dfsg.orig.tar.bz2
dpkg-source: info: unpacking cpio_2.15+dfsg-1.debian.tar.xz
dpkg-source: info: using patch list from debian/patches/series
dpkg-source: info: applying 695717-no-cpio.info-2.patch
dpkg-source: info: applying fix.better.handle.device.nodes.cramfs.565474.patch
dpkg-source: info: applying fix.fatal.exits.mt.576637.patch
dpkg-source: info: applying fix.other.bugs.patch
dpkg-source: info: applying 218086-reporting-bugs.patch
dpkg-source: info: applying 588020-manpages-see-also.patch
dpkg-source: info: applying 695717-no-cpio.info.patch
dpkg-source: info: applying fix.mt-erase.manpage.patch
Fetched 1650 kB in 0s (11.2 MB/s)
W: Download is performed unsandboxed as root as file 'cpio_2.15+dfsg-1.dsc' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permission denied)
+ ls -la
total 1628
drwxr-xr-x  3 root root    4096 Jul  8 23:39 .
drwxr-xr-x  3 root root    4096 Jul  8 23:39 ..
drwxr-xr-x 14 root root    4096 Jul  8 23:39 cpio-2.15+dfsg
-rw-r--r--  1 root root   15200 Jan 15 09:53 cpio_2.15+dfsg-1.debian.tar.xz
-rw-r--r--  1 root root    1906 Jan 15 09:53 cpio_2.15+dfsg-1.dsc
-rw-r--r--  1 root root 1632626 Jan 15 09:53 cpio_2.15+dfsg.orig.tar.bz2
+ find . -maxdepth 1 -type f
+ sha256sum ./cpio_2.15+dfsg.orig.tar.bz2 ./cpio_2.15+dfsg-1.dsc ./cpio_2.15+dfsg-1.debian.tar.xz
9d699d5abad667f5571296190e6739a644ceb24f67677ccb128bb52ae620c579  ./cpio_2.15+dfsg.orig.tar.bz2
b56871fcab62611476976625ee7496408895446ac17ee55a190ee4d60702a901  ./cpio_2.15+dfsg-1.dsc
28b76e58cc97f98a6a822880ce3750046e79b264673556a224929835ec1ef0f7  ./cpio_2.15+dfsg-1.debian.tar.xz
+ find . -maxdepth 1 -name cpio* -type d
+ cd ./cpio-2.15+dfsg
+ env DEBIAN_FRONTEND=noninteractive apt-get build-dep -y --only-source cpio=2.15+dfsg-1
Reading package lists...
Building dependency tree...
Reading state information...
The following NEW packages will be installed:
  autoconf automake autotools-dev gettext gettext-base libicu72
  libtext-unidecode-perl libxml-libxml-perl libxml-namespacesupport-perl
  libxml-sax-base-perl libxml-sax-perl libxml2 m4 tex-common texinfo
  texinfo-lib ucf
0 upgraded, 17 newly installed, 0 to remove and 0 not upgraded.
Need to get 15.9 MB of archives.
After this operation, 65.1 MB of additional disk space will be used.
Get:1 http://deb.debian.org/debian trixie/main amd64 gettext-base amd64 0.22.5-1 [199 kB]
Get:2 http://deb.debian.org/debian trixie/main amd64 ucf all 3.0043+nmu1 [55.2 kB]
Get:3 http://deb.debian.org/debian trixie/main amd64 m4 amd64 1.4.19-4 [287 kB]
Get:4 http://deb.debian.org/debian trixie/main amd64 autoconf all 2.71-3 [332 kB]
Get:5 http://deb.debian.org/debian trixie/main amd64 autotools-dev all 20220109.1 [51.6 kB]
Get:6 http://deb.debian.org/debian trixie/main amd64 automake all 1:1.16.5-1.3 [823 kB]
Get:7 http://deb.debian.org/debian trixie/main amd64 libicu72 amd64 72.1-5 [9396 kB]
Get:8 http://deb.debian.org/debian trixie/main amd64 libxml2 amd64 2.9.14+dfsg-1.3+b3 [692 kB]
Get:9 http://deb.debian.org/debian trixie/main amd64 gettext amd64 0.22.5-1 [1593 kB]
Get:10 http://deb.debian.org/debian trixie/main amd64 libtext-unidecode-perl all 1.30-3 [101 kB]
Get:11 http://deb.debian.org/debian trixie/main amd64 libxml-namespacesupport-perl all 1.12-2 [15.1 kB]
Get:12 http://deb.debian.org/debian trixie/main amd64 libxml-sax-base-perl all 1.09-3 [20.6 kB]
Get:13 http://deb.debian.org/debian trixie/main amd64 libxml-sax-perl all 1.02+dfsg-3 [59.4 kB]
Get:14 http://deb.debian.org/debian trixie/main amd64 libxml-libxml-perl amd64 2.0207+dfsg+really+2.0134-1+b3 [313 kB]
Get:15 http://deb.debian.org/debian trixie/main amd64 tex-common all 6.18 [32.5 kB]
Get:16 http://deb.debian.org/debian trixie/main amd64 texinfo-lib amd64 7.1-3+b1 [224 kB]
Get:17 http://deb.debian.org/debian trixie/main amd64 texinfo all 7.1-3 [1748 kB]
debconf: delaying package configuration, since apt-utils is not installed
Fetched 15.9 MB in 0s (82.3 MB/s)
Selecting previously unselected package gettext-base.
(Reading database ... (Reading database ... 5%(Reading database ... 10%(Reading database ... 15%(Reading database ... 20%(Reading database ... 25%(Reading database ... 30%(Reading database ... 35%(Reading database ... 40%(Reading database ... 45%(Reading database ... 50%(Reading database ... 55%(Reading database ... 60%(Reading database ... 65%(Reading database ... 70%(Reading database ... 75%(Reading database ... 80%(Reading database ... 85%(Reading database ... 90%(Reading database ... 95%(Reading database ... 100%(Reading database ... 17126 files and directories currently installed.)
Preparing to unpack .../00-gettext-base_0.22.5-1_amd64.deb ...
Unpacking gettext-base (0.22.5-1) ...
Selecting previously unselected package ucf.
Preparing to unpack .../01-ucf_3.0043+nmu1_all.deb ...
Moving old data out of the way
Unpacking ucf (3.0043+nmu1) ...
Selecting previously unselected package m4.
Preparing to unpack .../02-m4_1.4.19-4_amd64.deb ...
Unpacking m4 (1.4.19-4) ...
Selecting previously unselected package autoconf.
Preparing to unpack .../03-autoconf_2.71-3_all.deb ...
Unpacking autoconf (2.71-3) ...
Selecting previously unselected package autotools-dev.
Preparing to unpack .../04-autotools-dev_20220109.1_all.deb ...
Unpacking autotools-dev (20220109.1) ...
Selecting previously unselected package automake.
Preparing to unpack .../05-automake_1%3a1.16.5-1.3_all.deb ...
Unpacking automake (1:1.16.5-1.3) ...
Selecting previously unselected package libicu72:amd64.
Preparing to unpack .../06-libicu72_72.1-5_amd64.deb ...
Unpacking libicu72:amd64 (72.1-5) ...
Selecting previously unselected package libxml2:amd64.
Preparing to unpack .../07-libxml2_2.9.14+dfsg-1.3+b3_amd64.deb ...
Unpacking libxml2:amd64 (2.9.14+dfsg-1.3+b3) ...
Selecting previously unselected package gettext.
Preparing to unpack .../08-gettext_0.22.5-1_amd64.deb ...
Unpacking gettext (0.22.5-1) ...
Selecting previously unselected package libtext-unidecode-perl.
Preparing to unpack .../09-libtext-unidecode-perl_1.30-3_all.deb ...
Unpacking libtext-unidecode-perl (1.30-3) ...
Selecting previously unselected package libxml-namespacesupport-perl.
Preparing to unpack .../10-libxml-namespacesupport-perl_1.12-2_all.deb ...
Unpacking libxml-namespacesupport-perl (1.12-2) ...
Selecting previously unselected package libxml-sax-base-perl.
Preparing to unpack .../11-libxml-sax-base-perl_1.09-3_all.deb ...
Unpacking libxml-sax-base-perl (1.09-3) ...
Selecting previously unselected package libxml-sax-perl.
Preparing to unpack .../12-libxml-sax-perl_1.02+dfsg-3_all.deb ...
Unpacking libxml-sax-perl (1.02+dfsg-3) ...
Selecting previously unselected package libxml-libxml-perl.
Preparing to unpack .../13-libxml-libxml-perl_2.0207+dfsg+really+2.0134-1+b3_amd64.deb ...
Unpacking libxml-libxml-perl (2.0207+dfsg+really+2.0134-1+b3) ...
Selecting previously unselected package tex-common.
Preparing to unpack .../14-tex-common_6.18_all.deb ...
Unpacking tex-common (6.18) ...
Selecting previously unselected package texinfo-lib.
Preparing to unpack .../15-texinfo-lib_7.1-3+b1_amd64.deb ...
Unpacking texinfo-lib (7.1-3+b1) ...
Selecting previously unselected package texinfo.
Preparing to unpack .../16-texinfo_7.1-3_all.deb ...
Unpacking texinfo (7.1-3) ...
Setting up libicu72:amd64 (72.1-5) ...
Setting up libxml-namespacesupport-perl (1.12-2) ...
Setting up gettext-base (0.22.5-1) ...
Setting up m4 (1.4.19-4) ...
Setting up texinfo-lib (7.1-3+b1) ...
Setting up libxml-sax-base-perl (1.09-3) ...
Setting up autotools-dev (20220109.1) ...
Setting up ucf (3.0043+nmu1) ...
Setting up autoconf (2.71-3) ...
Setting up libtext-unidecode-perl (1.30-3) ...
Setting up libxml2:amd64 (2.9.14+dfsg-1.3+b3) ...
Setting up automake (1:1.16.5-1.3) ...
update-alternatives: using /usr/bin/automake-1.16 to provide /usr/bin/automake (automake) in auto mode
update-alternatives: warning: skip creation of /usr/share/man/man1/automake.1.gz because associated file /usr/share/man/man1/automake-1.16.1.gz (of link group automake) doesn't exist
update-alternatives: warning: skip creation of /usr/share/man/man1/aclocal.1.gz because associated file /usr/share/man/man1/aclocal-1.16.1.gz (of link group automake) doesn't exist
Setting up gettext (0.22.5-1) ...
Setting up libxml-sax-perl (1.02+dfsg-3) ...
update-perl-sax-parsers: Registering Perl SAX parser XML::SAX::PurePerl with priority 10...
update-perl-sax-parsers: Updating overall Perl SAX parser modules info file...

Creating config file /etc/perl/XML/SAX/ParserDetails.ini with new version
Setting up tex-common (6.18) ...
update-language: texlive-base not installed and configured, doing nothing!
Setting up libxml-libxml-perl (2.0207+dfsg+really+2.0134-1+b3) ...
update-perl-sax-parsers: Registering Perl SAX parser XML::LibXML::SAX::Parser with priority 50...
update-perl-sax-parsers: Registering Perl SAX parser XML::LibXML::SAX with priority 50...
update-perl-sax-parsers: Updating overall Perl SAX parser modules info file...
Replacing config file /etc/perl/XML/SAX/ParserDetails.ini with new version
Setting up texinfo (7.1-3) ...
Processing triggers for libc-bin (2.38-13) ...
+ env DEB_BUILD_OPTIONS=noautodbgsym nocheck eatmydata dpkg-buildpackage --no-sign
dpkg-buildpackage: info: source package cpio
dpkg-buildpackage: info: source version 2.15+dfsg-1
dpkg-buildpackage: info: source distribution unstable
dpkg-buildpackage: info: source changed by Anibal Monsalve Salazar <anibal@debian.org>
 dpkg-source --before-build .
dpkg-buildpackage: info: host architecture amd64
 debian/rules clean
test -f src/cpio.h && test -f debian/rules
rm -f build
test ! -f Makefile || /usr/bin/make distclean
rm -f config.cache
rm -f -r obj
rm -f -r *~ debian/tmp debian/*~ debian/files*
rm -f -f debian/substvars
rm -f -rf autom4te.cache
rm -f -f build-aux/config.guess build-aux/config.sub
 dpkg-source -b .
dpkg-source: info: using source format '3.0 (quilt)'
dpkg-source: info: building cpio using existing ./cpio_2.15+dfsg.orig.tar.bz2
dpkg-source: info: using patch list from debian/patches/series
dpkg-source: warning: ignoring deletion of file build-aux/config.sub, use --include-removal to override
dpkg-source: warning: ignoring deletion of file build-aux/config.guess, use --include-removal to override
dpkg-source: info: building cpio in cpio_2.15+dfsg-1.debian.tar.xz
dpkg-source: info: building cpio in cpio_2.15+dfsg-1.dsc
 debian/rules build
test -f src/cpio.h && test -f debian/rules
test -r /usr/share/misc/config.sub && cp -f /usr/share/misc/config.sub build-aux/config.sub
test -r /usr/share/misc/config.guess && cp -f /usr/share/misc/config.guess build-aux/config.guess
mkdir -p obj
cd obj && ../configure ASFLAGS="" ASFLAGS_FOR_BUILD="" CFLAGS="-g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/build/cpio/cpio-2.15+dfsg=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection" CFLAGS_FOR_BUILD="-g -O2" CPPFLAGS="-Wdate-time -D_FORTIFY_SOURCE=2" CPPFLAGS_FOR_BUILD="" CXXFLAGS="-g -O2 -ffile-prefix-map=/build/cpio/cpio-2.15+dfsg=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection" CXXFLAGS_FOR_BUILD="-g -O2" DFLAGS="-frelease" DFLAGS_FOR_BUILD="-frelease" FCFLAGS="-g -O2 -ffile-prefix-map=/build/cpio/cpio-2.15+dfsg=. -fstack-protector-strong -fstack-clash-protection -fcf-protection" FCFLAGS_FOR_BUILD="-g -O2" FFLAGS="-g -O2 -ffile-prefix-map=/build/cpio/cpio-2.15+dfsg=. -fstack-protector-strong -fstack-clash-protection -fcf-protection" FFLAGS_FOR_BUILD="-g -O2" LDFLAGS="-Wl,-z,relro" LDFLAGS_FOR_BUILD="" OBJCFLAGS="-g -O2 -ffile-prefix-map=/build/cpio/cpio-2.15+dfsg=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection" OBJCFLAGS_FOR_BUILD="-g -O2" OBJCXXFLAGS="-g -O2 -ffile-prefix-map=/build/cpio/cpio-2.15+dfsg=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection" OBJCXXFLAGS_FOR_BUILD="-g -O2"  --prefix=/usr --enable-mt --build x86_64-linux-gnu \
       --mandir=/usr/share/man \
       --infodir=/usr/share/info \
       --bindir=/usr/bin \
       --libexecdir=/usr/sbin
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a race-free mkdir -p... /usr/bin/mkdir -p
checking for gawk... no
checking for mawk... mawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether UID '0' is supported by ustar format... yes
checking whether GID '0' is supported by ustar format... yes
checking how to create a ustar tar archive... gnutar
checking whether make supports nested variables... (cached) yes
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether the compiler supports GNU C... yes
checking whether gcc accepts -g... yes
checking for gcc option to enable C11 features... none needed
checking whether gcc understands -c and -o together... yes
checking whether the compiler is clang... no
checking for compiler option needed when checking for declarations... none
checking whether make supports the include directive... yes (GNU style)
checking dependency style of gcc... gcc3
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking whether gcc needs -traditional... no
checking for ranlib... ranlib
checking for bison... no
checking for byacc... no
checking for stdio.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for strings.h... yes
checking for sys/stat.h... yes
checking for sys/types.h... yes
checking for unistd.h... yes
checking for wchar.h... yes
checking for minix/config.h... no
checking for features.h... yes
checking for linewrap.h... no
checking for uchar.h... yes
checking for sys/param.h... yes
checking for sys/socket.h... yes
checking for dirent.h... yes
checking for error.h... yes
checking for fnmatch.h... yes
checking for stdio_ext.h... yes
checking for getopt.h... yes
checking for sys/cdefs.h... yes
checking for sys/time.h... yes
checking for threads.h... yes
checking for limits.h... yes
checking for crtdefs.h... no
checking for wctype.h... yes
checking for xlocale.h... no
checking for sys/mman.h... yes
checking for obstack.h... yes
checking for stdbool.h... yes
checking for stdckdint.h... no
checking for sysexits.h... yes
checking for utime.h... yes
checking for net/errno.h... no
checking for sys/inet.h... no
checking for netdb.h... yes
checking for memory.h... yes
checking for fcntl.h... yes
checking for sys/wait.h... yes
checking for sys/gentape.h... no
checking for sys/tape.h... no
checking for sys/device.h... no
checking for sys/tprintf.h... no
checking for sys/mtio.h... yes
checking for sgtty.h... yes
checking for sys/io/trioctl.h... no
checking for locale.h... yes
checking for pwd.h... yes
checking for grp.h... yes
checking whether it is safe to define __EXTENSIONS__... yes
checking whether _XOPEN_SOURCE should be defined... no
checking build system type... x86_64-pc-linux-gnu
checking host system type... x86_64-pc-linux-gnu
checking for Minix Amsterdam compiler... no
checking for ar... ar
checking for _LARGEFILE_SOURCE value needed for large files... no
checking for gcc option to enable large file support... none needed
checking for gcc option for timestamps after 2038... none needed
checking for gcc option to enable large file support... (cached) none needed
checking for gcc option for timestamps after 2038... (cached) none needed
checking for sys/mkdev.h... no
checking for sys/sysmacros.h... yes
checking for an ANSI C-conforming const... yes
checking for uid_t in sys/types.h... yes
checking for gid_t... yes
checking for dirent.h that defines DIR... yes
checking for library containing opendir... none required
checking return type of major()... int
checking return type of minor()... int
checking for fchmod... yes
checking for fchown... yes
checking for setmode... no
checking for getpwuid... yes
checking for getpwnam... yes
checking for getgrgid... yes
checking for getgrnam... yes
checking for pipe... yes
checking for fork... yes
checking for getuid... yes
checking for geteuid... yes
checking for size_t... yes
checking for working alloca.h... yes
checking for alloca... yes
checking for inline... inline
checking for C/C++ restrict keyword... __restrict__
checking for gcc options needed to detect all undeclared functions... none needed
checking whether clearerr_unlocked is declared... yes
checking whether feof_unlocked is declared... yes
checking whether ferror_unlocked is declared... yes
checking whether fflush_unlocked is declared... yes
checking whether fgets_unlocked is declared... yes
checking whether fputc_unlocked is declared... yes
checking whether fputs_unlocked is declared... yes
checking whether fread_unlocked is declared... yes
checking whether fwrite_unlocked is declared... yes
checking whether getc_unlocked is declared... yes
checking whether getchar_unlocked is declared... yes
checking whether putc_unlocked is declared... yes
checking whether putchar_unlocked is declared... yes
checking for flockfile... yes
checking for funlockfile... yes
checking for btowc... yes
checking for mbrtowc... yes
checking for mbsinit... yes
checking for chown... yes
checking for fchown... (cached) yes
checking for _set_invalid_parameter_handler... no
checking for fchdir... yes
checking for fdopendir... yes
checking for fcntl... yes
checking for symlink... yes
checking for fnmatch... yes
checking for mbsrtowcs... yes
checking for fstatat... yes
checking for getdtablesize... yes
checking for getexecname... no
checking for gettimeofday... yes
checking for isblank... yes
checking for iswcntrl... yes
checking for lchmod... yes
checking for lstat... yes
checking for mprotect... yes
checking for openat... yes
checking for pipe... (cached) yes
checking for qsort_r... yes
checking for readlink... yes
checking for setenv... yes
checking for sleep... yes
checking for strndup... yes
checking for strtoimax... yes
checking for strtoumax... yes
checking for localtime_r... yes
checking for vasnprintf... no
checking for snprintf... yes
checking for mkfifo... yes
checking for setlocale... yes
checking whether strerror_r is declared... yes
checking whether strerror_r returns char *... yes
checking whether the preprocessor supports include_next... yes
checking whether source code line length is unlimited... yes
checking whether <wchar.h> uses 'inline' correctly... yes
checking for nl_langinfo and CODESET... yes
checking for a traditional french locale... none
checking whether char8_t is correctly defined... yes
checking whether char16_t is correctly defined... yes
checking whether char32_t is correctly defined... yes
checking for bit size of wchar_t... 32
checking for mbstate_t... yes
checking for a traditional japanese locale... none
checking for a french Unicode locale... none
checking for a transitional chinese locale... none
checking whether mbrtowc handles incomplete characters... guessing yes
checking whether mbrtowc works as well as mbtowc... guessing yes
checking whether mbrtoc32 is declared... yes
checking for mbrtoc32... yes
checking whether mbrtoc32 works as well as mbrtowc... guessing yes
checking whether malloc is ptrdiff_t safe... yes
checking whether malloc, realloc, calloc set errno on failure... yes
checking for unistd.h... (cached) yes
checking for working chown... yes
checking whether chown dereferences symlinks... yes
checking whether chown honors trailing slash... yes
checking whether chown always updates ctime... yes
checking if environ is properly declared... yes
checking for complete errno.h... yes
checking for error... yes
checking whether error_at_line is declared... yes
checking for error_at_line... yes
checking for working error function... yes
checking whether ctype.h defines __header_inline... no
checking whether fchdir is declared... yes
checking for working fcntl.h... yes
checking for pid_t... yes
checking for mode_t... yes
checking whether stdin defaults to large file offsets... yes
checking whether fseeko is declared... yes
checking for fseeko... yes
checking whether stat file-mode macros are broken... no
checking for nlink_t... yes
checking whether lstat correctly handles trailing slash... yes
checking whether getcwd (NULL, 0) allocates memory for result... yes
checking for getcwd with POSIX signature... yes
checking whether getcwd is declared... yes
checking whether getdelim is declared... yes
checking whether getdtablesize is declared... yes
checking whether getline is declared... yes
checking for getopt.h... (cached) yes
checking for getopt_long_only... yes
checking whether getopt is POSIX compatible... yes
checking for working GNU getopt function... yes
checking for working GNU getopt_long function... yes
checking whether timespec_get is declared... yes
checking for timespec_get... yes
checking for struct timeval... yes
checking for wide-enough struct timeval.tv_sec member... yes
checking for pthread.h... yes
checking for pthread_kill in -lpthread... yes
checking whether POSIX threads API is available... yes
checking whether setlocale (LC_ALL, NULL) is multithread-safe... yes
checking whether setlocale (category, NULL) is multithread-safe... yes
checking for off_t... yes
checking whether limits.h has WORD_BIT, BOOL_WIDTH etc.... yes
checking whether limits.h has SSIZE_MAX... yes
checking for wint_t... yes
checking whether wint_t is large enough... yes
checking whether the compiler produces multi-arch binaries... no
checking whether stdint.h conforms to C99... yes
checking whether stdint.h works without ISO C predefines... yes
checking whether stdint.h has UINTMAX_WIDTH etc.... yes
checking whether INT32_MAX < INTMAX_MAX... yes
checking whether INT64_MAX == LONG_MAX... yes
checking whether UINT32_MAX < UINTMAX_MAX... yes
checking whether UINT64_MAX == ULONG_MAX... yes
checking whether iswcntrl works... yes
checking for towlower... yes
checking for wctype_t... yes
checking for wctrans_t... yes
checking whether wctype supports the "blank" and "punct" character classes... yes
checking for wchar_t... yes
checking for good max_align_t... yes
checking whether NULL can be used in arbitrary expressions... yes
checking for unreachable... no
checking whether locale.h defines locale_t... yes
checking whether locale.h conforms to POSIX:2001... yes
checking whether struct lconv is properly defined... yes
checking whether malloc (0) returns nonnull... yes
checking for mmap... yes
checking for MAP_ANONYMOUS... yes
checking whether memchr works... yes
checking whether memrchr is declared... yes
checking whether <limits.h> defines MIN and MAX... no
checking whether <sys/param.h> defines MIN and MAX... yes
checking whether time_t is signed... yes
checking whether alarm is declared... yes
checking for working mktime... yes
checking whether struct tm is in sys/time.h or time.h... time.h
checking for struct tm.tm_zone... yes
checking for struct tm.tm_gmtoff... yes
checking for O_CLOEXEC... yes
checking for promoted mode_t type... mode_t
checking for compound literals... yes
checking for ssize_t... yes
checking whether setenv is declared... yes
checking for search.h... yes
checking for tsearch... yes
checking for sigset_t... yes
checking for volatile sig_atomic_t... yes
checking for sighandler_t... yes
checking whether fcloseall is declared... yes
checking whether getw is declared... yes
checking whether putw is declared... yes
checking which flavor of printf attribute matches inttypes macros... system
checking whether ecvt is declared... yes
checking whether fcvt is declared... yes
checking whether gcvt is declared... yes
checking whether MB_CUR_MAX is correct... guessing yes
checking whether strdup is declared... yes
checking whether strerror(0) succeeds... yes
checking whether strndup is declared... yes
checking whether strnlen is declared... yes
checking whether strtoimax is declared... yes
checking whether strtoumax is declared... yes
checking for struct timespec in <time.h>... yes
checking for TIME_UTC in <time.h>... yes
checking whether execvpe is declared... yes
checking whether unsetenv is declared... yes
checking whether the utimes function works... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for intmax_t... yes
checking whether snprintf returns a byte count as in C99... yes
checking whether snprintf truncates the result as in C99... yes
checking where to find the exponent in a 'double'... word 1 bit 20
checking for wcslen... yes
checking for snprintf... (cached) yes
checking for strnlen... yes
checking for wcrtomb... yes
checking whether _snprintf is declared... no
checking whether printf supports POSIX/XSI format strings with positions... yes
checking whether vsnprintf is declared... yes
checking whether wcsdup is declared... yes
checking for stdint.h... (cached) yes
checking for SIZE_MAX... yes
checking for C compiler option to allow warnings... -Wno-error
checking for alignas and alignof... yes, <stdalign.h> macros
checking for alloca as a compiler built-in... yes
checking whether program_invocation_name is declared... yes
checking whether program_invocation_short_name is declared... yes
checking whether program_invocation_name is defined... yes
checking whether program_invocation_short_name is defined... yes
checking for static_assert... yes, an <assert.h> macro
checking whether btowc(0) is correct... yes
checking whether btowc(EOF) is correct... guessing yes
checking whether btowc is consistent with mbrtowc in the C locale... no
checking for __builtin_expect... yes
checking whether calloc (0, n) and calloc (n, 0) return nonnull... yes
checking whether this system supports file names of any length... no
checking for library containing clock_gettime... none required
checking for clock_getres... yes
checking for clock_gettime... yes
checking for clock_settime... yes
checking for closedir... yes
checking for d_ino member in directory struct... yes
checking for dirfd... yes
checking whether dirfd is declared... yes
checking whether dirfd is a macro... no
checking whether // is distinct from /... no
checking whether dup works... yes
checking whether dup2 works... yes
checking whether fcntl handles F_DUPFD correctly... yes
checking whether fcntl understands F_DUPFD_CLOEXEC... needs runtime check
checking whether fdopendir is declared... yes
checking whether fdopendir works... yes
checking for struct stat.st_blocks... yes
checking for mempcpy... yes
checking for flexible array member... yes
checking whether conversion from 'int' to 'long double' works... yes
checking for working GNU fnmatch... yes
checking for __fpending... yes
checking whether __fpending is declared... yes
checking whether free is known to preserve errno... yes
checking for fseeko... (cached) yes
checking whether fstatat (..., 0) works... yes
checking for futimens... yes
checking whether futimens works... yes
checking whether getcwd handles long file names properly... yes
checking for getpagesize... yes
checking whether getcwd succeeds when 4k < cwd_length < 16k... yes
checking for getdelim... yes
checking for working getdelim function... yes
checking whether getdtablesize works... yes
checking for getline... yes
checking for working getline function... yes
checking for getprogname... no
checking whether program_invocation_name is declared... (cached) yes
checking whether program_invocation_name is declared... (cached) yes
checking whether program_invocation_short_name is declared... (cached) yes
checking whether __argv is declared... no
checking for gettimeofday with POSIX signature... yes
checking whether the compiler generally respects inline... yes
checking for iswblank... yes
checking whether iswblank is declared... yes
checking whether iswdigit is ISO C compliant... guessing yes
checking whether iswpunct is consistent with ispunct... yes
checking whether iswxdigit is ISO C compliant... guessing yes
checking for lchown... yes
checking whether the compiler supports the __inline keyword... yes
checking whether lseek detects pipes... yes
checking whether SEEK_DATA works but is incompatible with GNU... no
checking whether malloc (0) returns nonnull... (cached) yes
checking whether mbrtoc32 works on empty input... yes
checking whether the C locale is free of encoding errors... no
checking whether mbrtowc handles a NULL pwc argument... guessing yes
checking whether mbrtowc handles a NULL string argument... guessing yes
checking whether mbrtowc has a correct return value... guessing yes
checking whether mbrtowc returns 0 when parsing a NUL character... guessing yes
checking whether mbrtowc stores incomplete characters... guessing no
checking whether mbrtowc works on empty input... yes
checking whether the C locale is free of encoding errors... no
checking whether mbsrtowcs works... guessing yes
checking whether the C locale is free of encoding errors... (cached) no
checking for mbtowc... yes
checking for mempcpy... (cached) yes
checking for memrchr... yes
checking for __mktime_internal... no
checking for obstacks that work with any size object... no
checking whether open recognizes a trailing slash... yes
checking for opendir... yes
checking for bison... no
checking for struct tm.tm_zone... (cached) yes
checking whether program_invocation_name is declared... (cached) yes
checking whether program_invocation_short_name is declared... (cached) yes
checking for qsort_r signature... GNU
checking for raise... yes
checking for rawmemchr... yes
checking for readdir... yes
checking whether readlink signature is correct... yes
checking whether readlink handles trailing slash correctly... yes
checking whether readlink truncates results correctly... yes
checking whether realloc (0, 0) returns nonnull... yes
checking for reallocarray... yes
checking for rewinddir... yes
checking whether setenv validates arguments... yes
checking whether setlocale (LC_ALL, NULL) is multithread-safe... (cached) yes
checking whether setlocale (category, NULL) is multithread-safe... (cached) yes
checking whether sleep is declared... yes
checking for working sleep... yes
checking for ssize_t... (cached) yes
checking whether stat handles trailing slashes on files... yes
checking for struct stat.st_atim.tv_nsec... yes
checking whether struct stat.st_atim is of type struct timespec... yes
checking for struct stat.st_birthtimespec.tv_nsec... no
checking for struct stat.st_birthtimensec... no
checking for struct stat.st_birthtim.tv_nsec... no
checking for va_copy... yes
checking for bool, true, false... no
checking for stpcpy... yes
checking for strcasecmp... yes
checking for strncasecmp... yes
checking whether strncasecmp is declared... yes
checking for strchrnul... yes
checking whether strchrnul works... yes
checking for working strerror function... yes
checking for working strndup... yes
checking for working strnlen... yes
checking whether strtoimax works... yes
checking for strtol... yes
checking whether strtol works... yes
checking for strtoll... yes
checking whether strtoll works... yes
checking for strtoull... yes
checking whether strtoull works... yes
checking whether localtime_r is declared... yes
checking whether localtime_r is compatible with its POSIX signature... yes
checking whether localtime works even near extrema... yes
checking for timezone_t... no
checking for timegm... yes
checking for unsetenv... yes
checking for unsetenv() return type... int
checking whether unsetenv obeys POSIX... yes
checking for utime... yes
checking whether utime handles trailing slashes on files... yes
checking for futimes... yes
checking for futimesat... yes
checking for lutimes... yes
checking for futimens... (cached) yes
checking for utimensat... yes
checking for utimensat... (cached) yes
checking whether utimensat works... yes
checking for variable-length arrays... yes
checking for ptrdiff_t... yes
checking for vsnprintf... yes
checking whether snprintf respects a size of 1... yes
checking for wmemchr... yes
checking for wmempcpy... yes
checking for stdint.h... (cached) yes
checking for library containing setsockopt... none required
checking for library containing setsockopt... (cached) none required
checking for sys/mtio.h... (cached) yes
checking which ioctl field to test for reversed bytes... mt_type
checking whether to build rmt... yes
checking for remote tape header files... yes
checking for sys/buf.h... no
checking for struct stat.st_blksize... yes
checking for library containing gethostbyname... none required
checking for getpwuid... (cached) yes
checking for getpwnam... (cached) yes
checking for getgrgid... (cached) yes
checking for getgrnam... (cached) yes
checking for pipe... (cached) yes
checking for fork... (cached) yes
checking for getuid... (cached) yes
checking for geteuid... (cached) yes
checking for getgid... yes
checking for setuid... yes
checking for setgid... yes
checking for mknod... yes
checking for symlink... (cached) yes
checking for link... yes
checking for chown... (cached) yes
checking for structure packing via __attribute__((packed))... yes
checking for unistd.h... (cached) yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for fcntl.h... (cached) yes
checking for pwd.h... (cached) yes
checking for grp.h... (cached) yes
checking for sys/io/trioctl.h... (cached) no
checking for utmp.h... yes
checking for getopt.h... (cached) yes
checking for locale.h... (cached) yes
checking for libintl.h... yes
checking for sys/wait.h... (cached) yes
checking for utime.h... (cached) yes
checking for locale.h... (cached) yes
checking for process.h... no
checking for sys/ioctl.h... yes
checking whether errno is declared... yes
checking whether getpwnam is declared... yes
checking whether getgrnam is declared... yes
checking whether getgrgid is declared... yes
checking whether strdup is declared... (cached) yes
checking whether strerror is declared... yes
checking whether getenv is declared... yes
checking whether atoi is declared... yes
checking whether exit is declared... yes
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for shared library run path origin... done
checking for iconv... yes
checking for working iconv... yes
checking for iconv declaration... 
         extern size_t iconv (iconv_t cd, char * *inbuf, size_t *inbytesleft, char * *outbuf, size_t *outbytesleft);
checking for a sed that does not truncate output... /usr/bin/sed
checking whether NLS is requested... yes
checking for msgfmt... /usr/bin/msgfmt
checking for gmsgfmt... /usr/bin/msgfmt
checking for xgettext... /usr/bin/xgettext
checking for msgmerge... /usr/bin/msgmerge
checking for CFPreferencesCopyAppValue... no
checking for CFLocaleCopyCurrent... no
checking for GNU gettext in libc... yes
checking whether to use NLS... yes
checking where the gettext function comes from... libc
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating tests/Makefile
config.status: creating tests/atlocal
config.status: creating Makefile
config.status: creating doc/Makefile
config.status: creating gnu/Makefile
config.status: creating lib/Makefile
config.status: creating rmt/Makefile
config.status: creating src/Makefile
config.status: creating po/Makefile.in
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing po-directories commands
config.status: creating po/POTFILES
config.status: creating po/Makefile
config.status: executing tests/atconfig commands
touch tests/testsuite tests/package.m4
test -f src/cpio.h && test -f debian/rules
/usr/bin/make -C obj
make[1]: Entering directory '/build/cpio/cpio-2.15+dfsg/obj'
/usr/bin/make  all-recursive
make[2]: Entering directory '/build/cpio/cpio-2.15+dfsg/obj'
Making all in doc
make[3]: Entering directory '/build/cpio/cpio-2.15+dfsg/obj/doc'
 cd ../.. && /bin/bash /build/cpio/cpio-2.15+dfsg/build-aux/missing automake-1.16 --gnits doc/Makefile
 cd .. && /bin/bash ./config.status doc/Makefile 
config.status: creating doc/Makefile
make[3]: Nothing to be done for 'all'.
make[3]: Leaving directory '/build/cpio/cpio-2.15+dfsg/obj/doc'
Making all in gnu
make[3]: Entering directory '/build/cpio/cpio-2.15+dfsg/obj/gnu'
  GEN      alloca.h
  GEN      configmake.h
  GEN      ctype.h
  GEN      dirent.h
  GEN      error.h
  GEN      fcntl.h
  GEN      getopt.h
  GEN      getopt-cdefs.h
  GEN      inttypes.h
  GEN      limits.h
  GEN      locale.h
  GEN      obstack.h
  GEN      signal.h
  GEN      stdckdint.h
  GEN      stddef.h
  GEN      stdio.h
  GEN      stdlib.h
  GEN      string.h
  GEN      strings.h
  GEN      sys/stat.h
  GEN      sys/time.h
  GEN      sys/types.h
  GEN      time.h
  GEN      uchar.h
  GEN      unicase.h
  GEN      unictype.h
  GEN      uninorm.h
  GEN      unistd.h
  GEN      unistr.h
  GEN      unitypes.h
  GEN      utime.h
  GEN      wchar.h
  GEN      wctype.h
/usr/bin/make  all-recursive
make[4]: Entering directory '/build/cpio/cpio-2.15+dfsg/obj/gnu'
make[5]: Entering directory '/build/cpio/cpio-2.15+dfsg/obj/gnu'
  CC       libgnu_a-argmatch.o
  CC       libgnu_a-argp-ba.o
  CC       libgnu_a-argp-eexst.o
  CC       libgnu_a-argp-fmtstream.o
  CC       libgnu_a-argp-fs-xinl.o
  CC       libgnu_a-argp-help.o
  CC       libgnu_a-argp-parse.o
  CC       libgnu_a-argp-pin.o
  CC       libgnu_a-argp-pv.o
  CC       libgnu_a-argp-pvh.o
  CC       libgnu_a-argp-xinl.o
  CC       libgnu_a-argp-version-etc.o
  CC       libgnu_a-openat-proc.o
  CC       libgnu_a-basename-lgpl.o
  CC       libgnu_a-bitrotate.o
  CC       libgnu_a-btoc32.o
  CC       libgnu_a-btowc.o
  CC       libgnu_a-c-ctype.o
  CC       libgnu_a-c-strcasecmp.o
  CC       libgnu_a-c-strncasecmp.o
  CC       libgnu_a-c32_apply_type_test.o
  CC       libgnu_a-c32_get_type_test.o
  CC       libgnu_a-c32isalnum.o
  CC       libgnu_a-c32isalpha.o
  CC       libgnu_a-c32isblank.o
  CC       libgnu_a-c32iscntrl.o
  CC       libgnu_a-c32isdigit.o
  CC       libgnu_a-c32isgraph.o
  CC       libgnu_a-c32islower.o
  CC       libgnu_a-c32isprint.o
  CC       libgnu_a-c32ispunct.o
  CC       libgnu_a-c32isspace.o
  CC       libgnu_a-c32isupper.o
  CC       libgnu_a-c32isxdigit.o
  CC       libgnu_a-c32tolower.o
  CC       libgnu_a-chdir-long.o
  CC       libgnu_a-cloexec.o
  CC       libgnu_a-close-stream.o
  CC       libgnu_a-closeout.o
  CC       libgnu_a-opendir-safer.o
  CC       libgnu_a-dirname.o
  CC       libgnu_a-basename.o
  CC       libgnu_a-dirname-lgpl.o
  CC       libgnu_a-stripslash.o
  CC       libgnu_a-exitfail.o
  CC       libgnu_a-fcntl.o
  CC       libgnu_a-fd-hook.o
  CC       libgnu_a-fd-safer-flag.o
  CC       libgnu_a-dup-safer-flag.o
  CC       libgnu_a-fdutimensat.o
  CC       libgnu_a-filenamecat-lgpl.o
  CC       libgnu_a-full-write.o
  CC       libgnu_a-getopt.o
  CC       libgnu_a-getopt1.o
  CC       libgnu_a-getprogname.o
  CC       libgnu_a-gettime.o
  CC       libgnu_a-hard-locale.o
  CC       libgnu_a-hash.o
  CC       libgnu_a-ialloc.o
  CC       libgnu_a-imaxtostr.o
  CC       libgnu_a-inttostr.o
  CC       libgnu_a-offtostr.o
  CC       libgnu_a-uinttostr.o
  CC       libgnu_a-umaxtostr.o
  CC       libgnu_a-localcharset.o
  CC       libgnu_a-malloca.o
  CC       libgnu_a-mbrtoc32.o
  CC       libgnu_a-mbrtowc.o
  CC       libgnu_a-mbsrtoc32s.o
  CC       libgnu_a-mbsrtowcs.o
  CC       libgnu_a-mbszero.o
  CC       libgnu_a-nstrftime.o
  CC       libgnu_a-obstack.o
  CC       libgnu_a-openat-die.o
  CC       libgnu_a-parse-datetime.o
  CC       libgnu_a-progname.o
  CC       libgnu_a-quotearg.o
  CC       libgnu_a-safe-read.o
  CC       libgnu_a-safe-write.o
  CC       libgnu_a-save-cwd.o
  CC       libgnu_a-savedir.o
  CC       libgnu_a-setlocale_null.o
  CC       libgnu_a-stat-time.o
  CC       libgnu_a-strnlen1.o
  CC       libgnu_a-time_rz.o
  CC       libgnu_a-timespec.o
  CC       unicase/libgnu_a-tolower.o
  CC       unictype/libgnu_a-ctype_alnum.o
  CC       unictype/libgnu_a-ctype_alpha.o
  CC       unictype/libgnu_a-ctype_blank.o
  CC       unictype/libgnu_a-ctype_cntrl.o
  CC       unictype/libgnu_a-ctype_digit.o
  CC       unictype/libgnu_a-ctype_graph.o
  CC       unictype/libgnu_a-ctype_lower.o
  CC       unictype/libgnu_a-ctype_print.o
  CC       unictype/libgnu_a-ctype_punct.o
  CC       unictype/libgnu_a-ctype_space.o
  CC       unictype/libgnu_a-ctype_upper.o
  CC       unictype/libgnu_a-ctype_xdigit.o
  CC       libgnu_a-unistd.o
  CC       libgnu_a-dup-safer.o
  CC       libgnu_a-fd-safer.o
  CC       libgnu_a-pipe-safer.o
  CC       unistr/libgnu_a-u32-chr.o
  CC       unistr/libgnu_a-u32-cpy.o
  CC       unistr/libgnu_a-u32-pcpy.o
  CC       unistr/libgnu_a-u32-strcat.o
  CC       unistr/libgnu_a-u32-strlen.o
  CC       libgnu_a-utimens.o
  CC       libgnu_a-version-etc.o
  CC       libgnu_a-version-etc-fsf.o
  CC       libgnu_a-wctype-h.o
  CC       libgnu_a-xmalloc.o
  CC       libgnu_a-xalloc-die.o
  CC       libgnu_a-xgetcwd.o
  CC       libgnu_a-xsize.o
  CC       asnprintf.o
  CC       mbsrtoc32s-state.o
  CC       mbsrtowcs-state.o
  CC       mktime.o
  CC       printf-args.o
  CC       printf-parse.o
  CC       vasnprintf.o
  AR       libgnu.a
make[5]: Leaving directory '/build/cpio/cpio-2.15+dfsg/obj/gnu'
make[4]: Leaving directory '/build/cpio/cpio-2.15+dfsg/obj/gnu'
make[3]: Leaving directory '/build/cpio/cpio-2.15+dfsg/obj/gnu'
Making all in lib
make[3]: Entering directory '/build/cpio/cpio-2.15+dfsg/obj/lib'
  GEN      rmt-command.h
/usr/bin/make  all-am
make[4]: Entering directory '/build/cpio/cpio-2.15+dfsg/obj/lib'
  CC       paxexit.o
  CC       paxexit-status.o
  CC       rtapelib.o
  CC       sysdep.o
  CC       paxerror.o
  CC       paxnames.o
  AR       libpax.a
make[4]: Leaving directory '/build/cpio/cpio-2.15+dfsg/obj/lib'
make[3]: Leaving directory '/build/cpio/cpio-2.15+dfsg/obj/lib'
Making all in rmt
make[3]: Entering directory '/build/cpio/cpio-2.15+dfsg/obj/rmt'
  CC       rmt.o
  CCLD     rmt
make[3]: Leaving directory '/build/cpio/cpio-2.15+dfsg/obj/rmt'
Making all in src
make[3]: Entering directory '/build/cpio/cpio-2.15+dfsg/obj/src'
 cd ../.. && /bin/bash /build/cpio/cpio-2.15+dfsg/build-aux/missing automake-1.16 --gnits src/Makefile
 cd .. && /bin/bash ./config.status src/Makefile depfiles
config.status: creating src/Makefile
config.status: executing depfiles commands
  CC       copyin.o
  CC       copyout.o
  CC       copypass.o
  CC       defer.o
  CC       dstring.o
  CC       global.o
  CC       fatal.o
  CC       main.o
  CC       tar.o
  CC       util.o
../../src/util.c: In function 'prepare_append':
../../src/util.c:653:7: warning: ignoring return value of 'read' declared with attribute 'warn_unused_result' [-Wunused-result]
  653 |       read (out_file_des, tmp_buf, useful_bytes_in_block);
      |       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  CC       filemode.o
  CC       idcache.o
  CC       makepath.o
  CC       userspec.o
  CCLD     cpio
  CC       mt.o
  CCLD     mt
make[3]: Leaving directory '/build/cpio/cpio-2.15+dfsg/obj/src'
Making all in po
make[3]: Entering directory '/build/cpio/cpio-2.15+dfsg/obj/po'
make[3]: Nothing to be done for 'all'.
make[3]: Leaving directory '/build/cpio/cpio-2.15+dfsg/obj/po'
Making all in tests
make[3]: Entering directory '/build/cpio/cpio-2.15+dfsg/obj/tests'
make[3]: Nothing to be done for 'all'.
make[3]: Leaving directory '/build/cpio/cpio-2.15+dfsg/obj/tests'
make[3]: Entering directory '/build/cpio/cpio-2.15+dfsg/obj'
make[3]: Leaving directory '/build/cpio/cpio-2.15+dfsg/obj'
make[2]: Leaving directory '/build/cpio/cpio-2.15+dfsg/obj'
make[1]: Leaving directory '/build/cpio/cpio-2.15+dfsg/obj'
touch tests/testsuite.at tests/testsuite tests/package.m4
touch build
 debian/rules binary
test -f src/cpio.h && test -f debian/rules
test root = "`whoami`"
test -f src/cpio.h && test -f debian/rules
test -f src/cpio.h && test -f debian/rules
rm -f -r debian/tmp
install -p -d -o root -g root  -m  755 debian/tmp debian/tmp/DEBIAN
install -p -d -o root -g root  -m  755 debian/tmp/usr/share/doc/cpio
install -p    -o root -g root  -m  755 debian/postinst \
	debian/prerm debian/tmp/DEBIAN/.
install -p -d -o root -g root  -m  755 	\
	debian/tmp/usr/bin	\
	debian/tmp/usr/share/man/man1	\
	debian/tmp/usr/share/info
/usr/bin/make -C obj install DESTDIR=/build/cpio/cpio-2.15+dfsg/debian/tmp
make[1]: Entering directory '/build/cpio/cpio-2.15+dfsg/obj'
Making install in doc
make[2]: Entering directory '/build/cpio/cpio-2.15+dfsg/obj/doc'
make[3]: Entering directory '/build/cpio/cpio-2.15+dfsg/obj/doc'
make[3]: Nothing to be done for 'install-exec-am'.
 /usr/bin/mkdir -p '/build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/man/man1'
 /usr/bin/install -c -m 644 ../../doc/cpio.1 ../../doc/mt.1 '/build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/man/man1'
 /usr/bin/mkdir -p '/build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/man/man8'
 /usr/bin/install -c -m 644 ../../doc/rmt.8 '/build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/man/man8'
make[3]: Leaving directory '/build/cpio/cpio-2.15+dfsg/obj/doc'
make[2]: Leaving directory '/build/cpio/cpio-2.15+dfsg/obj/doc'
Making install in gnu
make[2]: Entering directory '/build/cpio/cpio-2.15+dfsg/obj/gnu'
/usr/bin/make  install-recursive
make[3]: Entering directory '/build/cpio/cpio-2.15+dfsg/obj/gnu'
make[4]: Entering directory '/build/cpio/cpio-2.15+dfsg/obj/gnu'
make[5]: Entering directory '/build/cpio/cpio-2.15+dfsg/obj/gnu'
make[5]: Nothing to be done for 'install-exec-am'.
make[5]: Nothing to be done for 'install-data-am'.
make[5]: Leaving directory '/build/cpio/cpio-2.15+dfsg/obj/gnu'
make[4]: Leaving directory '/build/cpio/cpio-2.15+dfsg/obj/gnu'
make[3]: Leaving directory '/build/cpio/cpio-2.15+dfsg/obj/gnu'
make[2]: Leaving directory '/build/cpio/cpio-2.15+dfsg/obj/gnu'
Making install in lib
make[2]: Entering directory '/build/cpio/cpio-2.15+dfsg/obj/lib'
/usr/bin/make  install-am
make[3]: Entering directory '/build/cpio/cpio-2.15+dfsg/obj/lib'
make[4]: Entering directory '/build/cpio/cpio-2.15+dfsg/obj/lib'
make[4]: Nothing to be done for 'install-exec-am'.
make[4]: Nothing to be done for 'install-data-am'.
make[4]: Leaving directory '/build/cpio/cpio-2.15+dfsg/obj/lib'
make[3]: Leaving directory '/build/cpio/cpio-2.15+dfsg/obj/lib'
make[2]: Leaving directory '/build/cpio/cpio-2.15+dfsg/obj/lib'
Making install in rmt
make[2]: Entering directory '/build/cpio/cpio-2.15+dfsg/obj/rmt'
make[3]: Entering directory '/build/cpio/cpio-2.15+dfsg/obj/rmt'
make[3]: Nothing to be done for 'install-exec-am'.
 /usr/bin/mkdir -p '/build/cpio/cpio-2.15+dfsg/debian/tmp/usr/sbin'
  /usr/bin/install -c rmt '/build/cpio/cpio-2.15+dfsg/debian/tmp/usr/sbin'
make[3]: Leaving directory '/build/cpio/cpio-2.15+dfsg/obj/rmt'
make[2]: Leaving directory '/build/cpio/cpio-2.15+dfsg/obj/rmt'
Making install in src
make[2]: Entering directory '/build/cpio/cpio-2.15+dfsg/obj/src'
make[3]: Entering directory '/build/cpio/cpio-2.15+dfsg/obj/src'
 /usr/bin/mkdir -p '/build/cpio/cpio-2.15+dfsg/debian/tmp/usr/bin'
  /usr/bin/install -c cpio mt '/build/cpio/cpio-2.15+dfsg/debian/tmp/usr/bin'
make[3]: Nothing to be done for 'install-data-am'.
make[3]: Leaving directory '/build/cpio/cpio-2.15+dfsg/obj/src'
make[2]: Leaving directory '/build/cpio/cpio-2.15+dfsg/obj/src'
Making install in po
make[2]: Entering directory '/build/cpio/cpio-2.15+dfsg/obj/po'
installing ../../po/bg.gmo as /build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/locale/bg/LC_MESSAGES/cpio.mo
installing ../../po/da.gmo as /build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/locale/da/LC_MESSAGES/cpio.mo
installing ../../po/de.gmo as /build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/locale/de/LC_MESSAGES/cpio.mo
installing ../../po/es.gmo as /build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/locale/es/LC_MESSAGES/cpio.mo
installing ../../po/fi.gmo as /build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/locale/fi/LC_MESSAGES/cpio.mo
installing ../../po/fr.gmo as /build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/locale/fr/LC_MESSAGES/cpio.mo
installing ../../po/ga.gmo as /build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/locale/ga/LC_MESSAGES/cpio.mo
installing ../../po/gl.gmo as /build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/locale/gl/LC_MESSAGES/cpio.mo
installing ../../po/hr.gmo as /build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/locale/hr/LC_MESSAGES/cpio.mo
installing ../../po/hu.gmo as /build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/locale/hu/LC_MESSAGES/cpio.mo
installing ../../po/id.gmo as /build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/locale/id/LC_MESSAGES/cpio.mo
installing ../../po/it.gmo as /build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/locale/it/LC_MESSAGES/cpio.mo
installing ../../po/ja.gmo as /build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/locale/ja/LC_MESSAGES/cpio.mo
installing ../../po/ka.gmo as /build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/locale/ka/LC_MESSAGES/cpio.mo
installing ../../po/ko.gmo as /build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/locale/ko/LC_MESSAGES/cpio.mo
installing ../../po/nl.gmo as /build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/locale/nl/LC_MESSAGES/cpio.mo
installing ../../po/pl.gmo as /build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/locale/pl/LC_MESSAGES/cpio.mo
installing ../../po/pt.gmo as /build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/locale/pt/LC_MESSAGES/cpio.mo
installing ../../po/pt_BR.gmo as /build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/locale/pt_BR/LC_MESSAGES/cpio.mo
installing ../../po/ro.gmo as /build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/locale/ro/LC_MESSAGES/cpio.mo
installing ../../po/ru.gmo as /build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/locale/ru/LC_MESSAGES/cpio.mo
installing ../../po/sr.gmo as /build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/locale/sr/LC_MESSAGES/cpio.mo
installing ../../po/sv.gmo as /build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/locale/sv/LC_MESSAGES/cpio.mo
installing ../../po/tr.gmo as /build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/locale/tr/LC_MESSAGES/cpio.mo
installing ../../po/uk.gmo as /build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/locale/uk/LC_MESSAGES/cpio.mo
installing ../../po/vi.gmo as /build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/locale/vi/LC_MESSAGES/cpio.mo
installing ../../po/zh_CN.gmo as /build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/locale/zh_CN/LC_MESSAGES/cpio.mo
installing ../../po/zh_TW.gmo as /build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/locale/zh_TW/LC_MESSAGES/cpio.mo
if test "cpio" = "gettext-tools"; then \
  /usr/bin/mkdir -p /build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/gettext/po; \
  for file in Makefile.in.in remove-potcdate.sin quot.sed boldquot.sed en@quot.header en@boldquot.header insert-header.sin Rules-quot   Makevars.template; do \
    /usr/bin/install -c -m 644 ../../po/$file \
		    /build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/gettext/po/$file; \
  done; \
  for file in Makevars; do \
    rm -f /build/cpio/cpio-2.15+dfsg/debian/tmp/usr/share/gettext/po/$file; \
  done; \
else \
  : ; \
fi
make[2]: Leaving directory '/build/cpio/cpio-2.15+dfsg/obj/po'
Making install in tests
make[2]: Entering directory '/build/cpio/cpio-2.15+dfsg/obj/tests'
make[3]: Entering directory '/build/cpio/cpio-2.15+dfsg/obj/tests'
make[3]: Nothing to be done for 'install-exec-am'.
make[3]: Nothing to be done for 'install-data-am'.
make[3]: Leaving directory '/build/cpio/cpio-2.15+dfsg/obj/tests'
make[2]: Leaving directory '/build/cpio/cpio-2.15+dfsg/obj/tests'
make[2]: Entering directory '/build/cpio/cpio-2.15+dfsg/obj'
make[3]: Entering directory '/build/cpio/cpio-2.15+dfsg/obj'
make[3]: Nothing to be done for 'install-exec-am'.
make[3]: Nothing to be done for 'install-data-am'.
make[3]: Leaving directory '/build/cpio/cpio-2.15+dfsg/obj'
make[2]: Leaving directory '/build/cpio/cpio-2.15+dfsg/obj'
make[1]: Leaving directory '/build/cpio/cpio-2.15+dfsg/obj'
rm -rf debian/tmp/usr/libexec
rm -rf debian/tmp/usr/share/man/man8/rmt.8
mv debian/tmp/usr/bin/mt debian/tmp/usr/bin/mt-gnu
mv debian/tmp/usr/share/man/man1/mt.1 \
  debian/tmp/usr/share/man/man1/mt-gnu.1
strip -R.note -R.comment debian/tmp/usr/bin/*
rm -rf debian/tmp/usr/sbin
install -m 644 ChangeLog debian/tmp/usr/share/doc/cpio/changelog
install -m 644 NEWS README debian/tmp/usr/share/doc/cpio/.
install -m 644 debian/changelog \
  debian/tmp/usr/share/doc/cpio/changelog.Debian
gzip -9nv debian/tmp/usr/share/doc/cpio/*
debian/tmp/usr/share/doc/cpio/NEWS:	 58.1% -- replaced with debian/tmp/usr/share/doc/cpio/NEWS.gz
debian/tmp/usr/share/doc/cpio/README:	 49.6% -- replaced with debian/tmp/usr/share/doc/cpio/README.gz
debian/tmp/usr/share/doc/cpio/changelog:	 71.1% -- replaced with debian/tmp/usr/share/doc/cpio/changelog.gz
debian/tmp/usr/share/doc/cpio/changelog.Debian:	 68.2% -- replaced with debian/tmp/usr/share/doc/cpio/changelog.Debian.gz
gzip -9nv debian/tmp/usr/share/man/*/*
debian/tmp/usr/share/man/man1/cpio.1:	 66.5% -- replaced with debian/tmp/usr/share/man/man1/cpio.1.gz
debian/tmp/usr/share/man/man1/mt-gnu.1:	 57.5% -- replaced with debian/tmp/usr/share/man/man1/mt-gnu.1.gz
find debian/tmp/usr/share/man/ -type d -empty -delete
rm -rf debian/tmp/usr/share/info
install -m 644 debian/copyright debian/tmp/usr/share/doc/cpio/.
dpkg-shlibdeps debian/tmp/usr/bin/cpio debian/tmp/usr/bin/mt-gnu
cd debian/tmp && find * -type f ! -regex '^DEBIAN/.*' -print0 | LC_ALL=C sort -z | xargs -r0 md5sum > DEBIAN/md5sums
dpkg-gencontrol -pcpio -Pdebian/tmp
chown -R root.root debian/tmp
chown: warning: '.' should be ':': 'root.root'
chmod -R g-ws debian/tmp
find debian/tmp -depth -newermt '@1705311525' -print0 | \
	xargs -0r touch --no-dereference --date='@1705311525'
dpkg-deb --build debian/tmp ..
dpkg-deb: building package 'cpio' in '../cpio_2.15+dfsg-1_amd64.deb'.
 dpkg-genbuildinfo -O../cpio_2.15+dfsg-1_amd64.buildinfo
 dpkg-genchanges -O../cpio_2.15+dfsg-1_amd64.changes
dpkg-genchanges: info: including full source code in upload
 dpkg-source --after-build .
dpkg-buildpackage: info: full upload (original source is included)
+ date
Mon Jul  8 23:39:55 UTC 2024
+ cd ..
+ ls cpio_2.15+dfsg-1_amd64.deb
+ sed -e s,_.*,,
+ apt-cache show cpio=2.15+dfsg-1
+ sed -e s,^Version: ,,
+ grep ^Version: 
+ binver=2.15+dfsg-1
+ binnmuver=2.15+dfsg-1
+ echo 2.15+dfsg-1
+ sed s,^[0-9]\+:,,
+ binnmuver=2.15+dfsg-1
+ echo 2.15+dfsg-1
+ sed s,^[0-9]\+:,,
+ srcver=2.15+dfsg-1
+ test -f cpio_2.15+dfsg-1_amd64.deb
+ apt-cache show cpio=2.15+dfsg-1
+ sed -z s,.*Filename: .*/\(.*\)SHA256: \([0-9a-f]\{64\}\).*,\2  \1,g
+ grep -e ^Filename:  -e ^SHA256: 
+ ls -la
total 1900
drwxr-xr-x  3 root root    4096 Jul  8 23:39 .
drwxr-xr-x  3 root root    4096 Jul  8 23:39 ..
-rw-r--r--  1 root root      93 Jul  8 23:39 SHA256SUMS
drwxr-xr-x 16 root root    4096 Jul  8 23:39 cpio-2.15+dfsg
-rw-r--r--  1 root root   15200 Jul  8 23:39 cpio_2.15+dfsg-1.debian.tar.xz
-rw-r--r--  1 root root    1023 Jul  8 23:39 cpio_2.15+dfsg-1.dsc
-rw-r--r--  1 root root    4566 Jul  8 23:39 cpio_2.15+dfsg-1_amd64.buildinfo
-rw-r--r--  1 root root    2118 Jul  8 23:39 cpio_2.15+dfsg-1_amd64.changes
-rw-r--r--  1 root root  259024 Jul  8 23:39 cpio_2.15+dfsg-1_amd64.deb
-rw-r--r--  1 root root 1632626 Jan 15 09:53 cpio_2.15+dfsg.orig.tar.bz2
+ find . -maxdepth 1 -type f
+ sha256sum ./cpio_2.15+dfsg-1_amd64.deb ./cpio_2.15+dfsg.orig.tar.bz2 ./cpio_2.15+dfsg-1.dsc ./cpio_2.15+dfsg-1_amd64.buildinfo ./cpio_2.15+dfsg-1_amd64.changes ./cpio_2.15+dfsg-1.debian.tar.xz ./SHA256SUMS
c75481d4cf62b3daa4327c59469694f4218f94a8496a44819310dec8dc20508a  ./cpio_2.15+dfsg-1_amd64.deb
9d699d5abad667f5571296190e6739a644ceb24f67677ccb128bb52ae620c579  ./cpio_2.15+dfsg.orig.tar.bz2
a5b2fe3356f216507202cb25c6961613ff140bc9b9ef2aed9a184679df8aec1e  ./cpio_2.15+dfsg-1.dsc
0186b9343d75279b1968c5fc6c05854b81a25d1a2ae476dff5d733cd28b4f42a  ./cpio_2.15+dfsg-1_amd64.buildinfo
f49a28c36c10f9df2190a4af6895e88f7eb6fb3d198234dc2a75ee0a85c9c9ad  ./cpio_2.15+dfsg-1_amd64.changes
28b76e58cc97f98a6a822880ce3750046e79b264673556a224929835ec1ef0f7  ./cpio_2.15+dfsg-1.debian.tar.xz
967928f5ab129ad1a234135df1c6332722595b09503a1f946926898bfffb00d2  ./SHA256SUMS
+ tail -v -n+0 SHA256SUMS
==> SHA256SUMS <==
4263228674d0d32689be7e490ac6810e3536895672e562661594094f88bdc84a  cpio_2.15+dfsg-1_amd64.deb
+ sha256sum -c SHA256SUMS
cpio_2.15+dfsg-1_amd64.deb: FAILED
sha256sum: WARNING: 1 computed checksum did NOT match
